[PATCH 1/3] test: start test file for emacs unthreaded view.

Subject: [PATCH 1/3] test: start test file for emacs unthreaded view.

Date: Thu, 3 Jun 2021 08:54:58 -0300

To: notmuch@notmuchmail.org

Cc: David Bremner

From: David Bremner


Initial focus is on behaviour with large threads.

The second test replicates a bug reported by Alan Schmitt in
id:87lf7sojbq.fsf@m4x.org.
---
 test/T465-emacs-unthreaded.sh | 40 +++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100755 test/T465-emacs-unthreaded.sh

diff --git a/test/T465-emacs-unthreaded.sh b/test/T465-emacs-unthreaded.sh
new file mode 100755
index 00000000..f9abcebd
--- /dev/null
+++ b/test/T465-emacs-unthreaded.sh
@@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+
+test_description="emacs unthreaded interface"
+. $(dirname "$0")/test-lib.sh || exit 1
+. $(dirname "$0")/test-lib-emacs.sh || exit 1
+
+test_require_emacs
+
+generate_message "[id]=large-thread-1" '[subject]="large thread"'
+printf "  2001-01-05  Notmuch Test Suite   large thread                                           (inbox unread)\n" \
+       >> EXPECTED.unthreaded
+
+for num in $(seq 2 64); do
+    prev=$((num - 1))
+    generate_message '[subject]="large thread"' "[id]=large-thread-$num" "[in-reply-to]=\<large-thread-$prev\>"
+    printf "  2001-01-05  Notmuch Test Suite   large thread                                           (inbox unread)\n" \
+	   >> EXPECTED.unthreaded
+done
+printf "End of search results.\n" >> EXPECTED.unthreaded
+
+notmuch new > new.output 2>&1
+
+test_begin_subtest "large thread"
+test_emacs '(let ((max-lisp-eval-depth 10))
+	      (notmuch-unthreaded "subject:large-thread")
+	      (notmuch-test-wait)
+	      (test-output))'
+test_expect_equal_file EXPECTED.unthreaded OUTPUT
+
+test_begin_subtest "message from large thread (status)"
+test_subtest_known_broken
+output=$(test_emacs '(let ((max-lisp-eval-depth 10))
+		       (notmuch-unthreaded "subject:large-thread")
+		       (notmuch-test-wait)
+		       (notmuch-tree-show-message nil)
+		       (notmuch-test-wait)
+		       "SUCCESS")' )
+test_expect_equal "$output" '"SUCCESS"'
+
+test_done
-- 
2.30.2
_______________________________________________
notmuch mailing list -- notmuch@notmuchmail.org
To unsubscribe send an email to notmuch-leave@notmuchmail.org

Thread: